agents.messages

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - agents.messages.MessageType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageType>

    public enum MessageType
    extends java.lang.Enum<MessageType>
    implements java.io.Serializable

The Enum MessageType.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORT` The abort.
`ADD_TO_TREE` The add to tree.
`AGENT` The agent.
`BAD_PROPOSITION` The bad proposition.
`BESTCONTEXT` The bestcontext.
`CHANGE` The change.
`INSTABLE` The instable.
`KILL` The kill.
`PROPOSAL` The proposal.
`REGISTER` The register.
`REMOVE_FROM_TREE` The remove from tree.
`SELECTION` The selection.
`STABLE` The stable.
`UNREGISTER` The unregister.
`VALIDATE` The validate.
`VALUE` The value.

### Method Summary

All Methods Static Methods Concrete Methods
`static MessageType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VALUE

    public static final MessageType VALUE

The value.

#### AGENT

    public static final MessageType AGENT

The agent.

#### PROPOSAL

    public static final MessageType PROPOSAL

The proposal.

#### REGISTER

    public static final MessageType REGISTER

The register.

#### BAD_PROPOSITION

    public static final MessageType BAD_PROPOSITION

The bad proposition.

#### SELECTION

    public static final MessageType SELECTION

The selection.

#### KILL

    public static final MessageType KILL

The kill.

#### INSTABLE

    public static final MessageType INSTABLE

The instable.

#### STABLE

    public static final MessageType STABLE

The stable.

#### ADD_TO_TREE

    public static final MessageType ADD_TO_TREE

The add to tree.

#### REMOVE_FROM_TREE

    public static final MessageType REMOVE_FROM_TREE

The remove from tree.

#### BESTCONTEXT

    public static final MessageType BESTCONTEXT

The bestcontext.

#### CHANGE

    public static final MessageType CHANGE

The change.

#### VALIDATE

    public static final MessageType VALIDATE

The validate.

#### UNREGISTER

    public static final MessageType UNREGISTER

The unregister.

#### ABORT

    public static final MessageType ABORT

The abort.

### Method Detail

#### values

    public static MessageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessageType c : MessageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessageType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null